<template>
  <section>
    <PrismicRichText :field="slice.primary.title" />
  </section>
</template>

<script setup lang="ts">
import { getSliceComponentProps, PrismicRichText } from '@prismicio/vue';

type ContentSlice = {
  slice_type: 'content_slice';
  slice_label: null;
  id?: string | undefined;
  primary: Record<string, any>;
};
defineProps({
  ...getSliceComponentProps<ContentSlice>(),
});
</script>

<style lang="css"></style>
